commit:     bf85aa03a518468276ebe04318fd1d09bd10a56f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 30 07:02:34 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 30 07:24:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf85aa03

dev-python/pyaes: Fix running all tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyaes/pyaes-1.6.1.ebuild | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/dev-python/pyaes/pyaes-1.6.1.ebuild 
b/dev-python/pyaes/pyaes-1.6.1.ebuild
index dccde7bbabe..26c32d780fb 100644
--- a/dev-python/pyaes/pyaes-1.6.1.ebuild
+++ b/dev-python/pyaes/pyaes-1.6.1.ebuild
@@ -19,5 +19,10 @@ IUSE=""
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 
 python_test() {
-       ${EPYTHON} tests/test-{aes,blockfeeder,util}.py || die
+       local t fail=
+       for t in tests/test-*.py; do
+               einfo "${t}"
+               "${EPYTHON}" "${t}" || fail=1
+       done
+       [[ ${fail} ]] && die "Tests fail with ${EPYTHON}"
 }

Reply via email to